Subject: Re: bug#57907: 29.0.50; Using keywords with cl-loop
From: Philip Kaludercic <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Sep 2022 10:16:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> I phrased that clumsily -- while it is a new language, it doesn't always
>> have to feel like one.
>
> And I'm saying that that feeling is a misleading feeling -- we're
> leading the users down the garden path.
>
>> E.g. the repeat-collect example I gave before.
>> If you *can* use keywords, you *can* make some cl-loop invocations
>> appear to be a macro or a function call with keyword-arguments.
>>
>> But of course this wouldn't be the case, as the macro should stay
>> backwards compatible.
>
> I understand that.  But it means that the stated rationale for this
> change does the users a disservice.
>
> So I'm against extending cl-loop in this way.  Gerd has explained why
> it works this way in Common Lisp (because CL doesn't have any other
> choice because that's the way the language works), but we should not
> shoehorn in this accident into Emacs, too.

While it might have had been an accident initially, I don't think it has
to be considered such.  As I said, there are reasons like syntax
highlighting for preferring keyword-symbols.  But if you don't think
this is a good idea, I'll go ahead and close the issue.